blob: b425e3bef768f0aebb0b4208b03e8a0fbe3169b9 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
|
--- samba_3_0/source/script/installswat.sh.orig 2003-08-28 18:03:10.000000000 -0400
+++ samba_3_0/source/script/installswat.sh 2003-08-28 18:11:14.000000000 -0400
@@ -9,7 +9,7 @@
echo Installing the Samba Web Administration Tool
LANGS=". `cd $SRCDIR../swat/; /bin/echo lang/??`"
-echo Installing langs are `cd $SRCDIR../swat/lang/; /bin/echo ??`
+echo Installing the following additional langs: `cd $SRCDIR../swat/lang/; /bin/echo ??`
for ln in $LANGS; do
SWATLANGDIR=$SWATDIR/$ln
@@ -23,21 +23,17 @@
fi
fi
done
-done
-
-# Install images
-for ln in $LANGS; do
-for f in $SRCDIR../swat/$ln/images/*.gif; do
+ # Install images
+ for f in $SRCDIR../swat/$ln/images/*.gif; do
FNAME=$SWATDIR/$ln/images/`basename $f`
echo $FNAME
cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
chmod 0644 $FNAME
-done
-
-# Install html help
+ done
-for f in $SRCDIR../swat/$ln/help/*.html; do
+ # Install html help
+ for f in $SRCDIR../swat/$ln/help/*.html; do
FNAME=$SWATDIR/$ln/help/`basename $f`
echo $FNAME
if [ "x$BOOKDIR" = "x" ]; then
@@ -49,26 +45,24 @@
cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
rm -f $f
chmod 0644 $FNAME
-done
-
-# Install html documentation
-
-for f in $SRCDIR../docs/htmldocs/*.html; do
- FNAME=$SWATDIR/help/`basename $f`
- echo $FNAME
- cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
- chmod 0644 $FNAME
-done
-
-# Install "server-side" includes
+ done
-for f in $SRCDIR../swat/$ln/include/*.html; do
+ # Install "server-side" includes
+ for f in $SRCDIR../swat/$ln/include/*.html; do
FNAME=$SWATDIR/$ln/include/`basename $f`
echo $FNAME
cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
chmod 0644 $FNAME
+ done
+
done
+# Install html documentation
+for f in $SRCDIR../docs/htmldocs/*.html; do
+ FNAME=$SWATDIR/help/`basename $f`
+ echo $FNAME
+ ln -s ../../../doc/samba-doc/htmldocs/`basename $f` $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
done
# Install Using Samba book (but only if it is there)
|